#include <misc/fixc11.h>

//#include <QGuiApplication>
//#include <QQmlApplicationEngine>

#include <QApplication>

#include "Controller.h"
#include "ui/map/3D/MapView3D.h"

#include "tests/RuntimeTests.h"


int main(int argc, char *argv[]) {


	RuntimeTests::run();

	QApplication app(argc, argv);

	std::cout << "resampling mit streuung? z.B in nachbar nodes?";
	std::cout << "gerade am anfang geht seeehr viel verloren";

	Controller ctrl;

	Point3 eye(40,42,1.8);
	ctrl.getMapView3D()->setLookEye(eye);
	ctrl.getMapView3D()->setLookDir(Point3(-1, 0, -0.1));

	return app.exec();

}
